aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-net-async-http/APKBUILD
diff options
context:
space:
mode:
authorKiyoshi Aman <aphrael@alpinelinux.org>2011-12-01 08:37:40 -0500
committerKiyoshi Aman <aphrael@alpinelinux.org>2011-12-04 22:09:37 -0500
commitbf6a0581ee727fd8af647c3c5ef605bef86f6a48 (patch)
treea73f94508d53de75a2cc137bfdfcfb08c93ddd79 /testing/perl-net-async-http/APKBUILD
parent20ffb72980cfecb92fde4d16194e389b77f65c31 (diff)
downloadaports-bf6a0581ee727fd8af647c3c5ef605bef86f6a48.tar.gz
aports-bf6a0581ee727fd8af647c3c5ef605bef86f6a48.tar.bz2
aports-bf6a0581ee727fd8af647c3c5ef605bef86f6a48.tar.xz
testing/perl-net-async-http: new APKBUILD
Diffstat (limited to 'testing/perl-net-async-http/APKBUILD')
-rw-r--r--testing/perl-net-async-http/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/perl-net-async-http/APKBUILD b/testing/perl-net-async-http/APKBUILD
new file mode 100644
index 0000000000..d4f3961aa3
--- /dev/null
+++ b/testing/perl-net-async-http/APKBUILD
@@ -0,0 +1,38 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+pkgname=perl-net-async-http
+_pkgreal=Net-Async-HTTP
+pkgver=0.13
+pkgrel=0
+pkgdesc="use HTTP with C<IO::Async>"
+url="http://search.cpan.org/dist/Net-Async-HTTP/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-uri perl-http-message perl-io-async"
+cpanmakedepends="perl-http-cookies perl-test-identity perl-io-async"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="a624b88a7545cda911e7a983e180e32a Net-Async-HTTP-0.13.tar.gz"